> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://contentful.com/developers/docs/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/_mcp/server. # Get all snapshots of a content type GET https://api.contentful.com/spaces/{space_id}/environments/{environment_id}/content_types/{content_type_id}/snapshots Reference: https://contentful.com/developers/docs/references/content-management-api/snapshots/get-all-snapshots-of-a-content-type ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `space_id` (string, required) — ID of the Space in form of a string - `environment_id` (string, required) — environment_id identifier - `content_type_id` (string, required) — ID of the content type in form of a string ## Response ### 200 OK - Request successful - `map from string to any` ## Examples **Response** ```json { "items": [], "limit": 100, "skip": 0, "sys": { "type": "Array" }, "total": 0 } ``` **SDK Code** ```android Android // Create the Contentful client. final CMAClient client = new CMAClient .Builder() .setAccessToken("") .setSpaceId("") .setEnvironmentId("") .build(); client .contentTypes() .async() .fetchOne( "", "master", // only works on master right now ... "", new CMACallback() { @Override protected void onSuccess(CMAContentType contentType) { client .contentTypes() .async() .fetchAllSnapshots( contentType, new CMACallback>() { @Override protected void onSuccess(CMAArray snapshots) { final List items = snapshots.getItems(); new AlertDialog.Builder(context) .setTitle("Contentful") .setMessage("List of all entry snapshots was successful." + "\n\nResult: " + items.size() + " snapshots found." + "\n\nFirst: " + items.get(0)) .show(); } @Override protected void onFailure(RuntimeException exception) { // An error occurred! Inform the user. new AlertDialog.Builder(context) .setTitle("Contentful Error") .setMessage("Could not list all an entry snapshots." + "\n\nReason: " + exception.toString()) .show(); super.onFailure(exception); } } ); } @Override protected void onFailure(RuntimeException exception) { // An error occurred! Inform the user. new AlertDialog.Builder(context) .setTitle("Contentful Error") .setMessage("Could not get one content type." + "\n\nReason: " + exception.toString()) .show(); super.onFailure(exception); } } ); ``` ```java Java // Create the Contentful client. final CMAClient client = new CMAClient .Builder() .setAccessToken("") .setSpaceId("") .setEnvironmentId("") .build(); final CMAContentType contentType = client .contentTypes() .fetchOne( "", "master", // only works on master right now ""); final CMAArray snapshots = client .contentTypes() .fetchAllSnapshots(contentType); ``` ```kotlin Kotlin // Create the Contentful client. val client = CMAClient.Builder() .setAccessToken("") .setSpaceId("") .setEnvironmentId("") .build() val contentType = client .contentTypes() .fetchOne( "", "master", // only works on master right now "") val snapshots = client .contentTypes() .fetchAllSnapshots(contentType) ``` ```swift Swift We currently don't provide a CMA SDK for this platform. ``` ```js-legacy JavaScript (legacy) import { createClient } from 'contentful-management' const client = createClient({ accessToken: '' }, { type: 'legacy' }) client.getSpace('') .then((space) => space.getEnvironment('')) .then((environment) => environment.getContentType('')) .then((contentType) => contentType.getSnapshots()) .then((response) => console.log(response.items)) .catch(console.error) ``` ```javascript JavaScript import { createClient } from 'contentful-management' // Client init const client = contentful.createClient({ accessToken: '' }) const snapshots = await client.snapshot.getManyForContentType({ spaceId: '', environmentId: '', contentTypeId: '', }) ``` ```php PHP $client = new \Contentful\Management\Client(''); $environment = $client->getEnvironmentProxy('', ''); $contentTypeSnapshots = $environment->getContentTypeSnapshots(''); // Alternatively, from a content type $contentType = $environment->getContentType(''); $contentTypeSnapshots = $contentType->getSnapshots(); ``` ```ruby Ruby require 'contentful/management' client = Contentful::Management::Client.new('') content_type_snapshot = client.content_type_snapshots('', '', '').all # Alternatively, from a content type content_type_snapshot = content_type.snapshots.find('') ``` ```python Python from contentful_management import Client client = Client('') content_type_snapshot = client.content_type_snapshots('', '', '').all() # Alternatively, from a content type content_type_snapshot = content_type.snapshots().find('') ``` ```.net .NET // This client should only be created once per application. var httpClient = new HttpClient(); var client = new ContentfulManagementClient(httpClient, "", ""); var allSnapshots = await client.GetAllSnapshotsForContentType(""); ```